/* 
   SystemConfig.h

   SpaceShipChase 
   Copyright (C) 2004 Marcus W Dillavou <line72@users.sf.net>
                  and Amy L Dillavou <gs2luv@users.sf.net>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#ifndef _SYSTEMCONFIG_H_
#define _SYSTEMCONFIG_H_

/**
 * holds all the config for the game
 */
class SystemConfig
{
 public:
  static SystemConfig *getInstance();

  /**
   * accessor functions
   */
  void setHeight(int t) { _height = t; }
  int getHeight() { return _height; }
  void setWidth(int t) { _width = t; }
  int getWidth() { return _width; }

 protected:
  int _height;
  int _width;

 private:
  SystemConfig();
  ~SystemConfig();
};

#endif
